#include <iostream>

using namespace std;

int main()
{
    int brojk, kvidim,i;
    cin>>brojk>>kvidim;
    int spil[brojk];
    for(i=0;i<brojk;i++)
        cin>>spil[i];
    for(i=0;i<brojk;i++)
    {

        if(spil[brojk-1]==kvidim)
        {
            cout<<spil[0];
            break;
        }
        else if(spil[0]==kvidim)
        {
            cout<<spil[brojk-1];
            break;
        }
        else
        {
            cout<<spil[brojk+1];
            break;
        }

    }
    return 0;
}